package com.wisewoods.eduandroid.ui.adapter;

import com.wisewoods.base.base.BaseAdapter;
import com.wisewoods.base.base.BaseVH;
import com.wisewoods.base.bean.TeacherCourseList;
import com.wisewoods.eduandroid.R;

import org.jetbrains.annotations.NotNull;

public class FileAdapter extends BaseAdapter<TeacherCourseList.Enclosure> {
    public FileAdapter() {
        super(R.layout.item_recycler_file);
        addChildClickViewIds(R.id.tv_delete);
    }


    @Override
    protected void convert(@NotNull BaseVH baseVH, TeacherCourseList.Enclosure enclosure) {
        baseVH.setText(R.id.tv_name, enclosure.name);
    }
}
